Subject: bug#42836: 27.1; default-directory is set to "/" after startup

From: Alan Third <[email-masked]>
Date: Thu, 13 Aug 2020 00:52:51 +0200 (CEST)

On Wed, Aug 12, 2020 at 05:17:28PM -0400, Sean Devlin wrote:
> > When I open Emacs 27.1 by invoking the executable directly (i.e. the
> > last method above), the default-directory in those buffers is "~/“.
> 
> Correction: the default directory is the working directory of the
> parent process (i.e. the shell) in this case.

The code at line 1623 of emacs.c appears to be supposed to set the
correct starting directory, however it doesn't matter what it does
there. I've tried hard coding directories and all sorts, but it ALWAYS
ends up starting in "/"... I think something somewhere else must be
resetting it. I can't find where just now. I may have to do a git bisect,
which I don't much fancy.
-- 
Alan Third